GET api/ServiceLocationPrice/GetServiceLocationOrderPhysicalExaminationPriceForCsv?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfOrderPriceOnSiteDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of OrderPriceOnSiteDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "Id": 1,
      "OrderPriceOnSiteId": 1,
      "OrderCategoryId": 2,
      "OrderCategoryTypeId": 3,
      "OrderCategorySubTypeId": 1,
      "Price": 1.0,
      "StartDate": "2026-06-20T12:51:18.652988-07:00",
      "EndDate": "2026-06-20T12:51:18.652988-07:00",
      "CategoryName": "sample string 4",
      "CategoryTypeName": "sample string 5",
      "CategorySubTypeName": "sample string 6",
      "Todaydate": "2026-06-20T12:51:18.652988-07:00",
      "Status": 7,
      "CPTCode": "sample string 8",
      "TangAndCompanyCode": "sample string 9",
      "EntityId": 1,
      "EntityType": 10,
      "CareOnSiteLocationId": 11,
      "AdjustmentType": 1,
      "Adjustment": 1.0,
      "FinalPrice": 1.0,
      "IsFutureRecord": true,
      "AdjustmentSet": "$1",
      "SubTypeExist": true,
      "TPAName": "sample string 14",
      "OrderCategorySubTypeLevel1Id": 1,
      "TPAId": 1,
      "ItemCode": "sample string 15",
      "ItemId": 1,
      "OrderCategorySubTypeLevel2Id": 1,
      "ItemName": "sample string 16",
      "Note": "sample string 17",
      "CreatedUserFirstName": "sample string 18",
      "CreatedUserLastName": "sample string 19",
      "CreatedUser": "sample string 18 sample string 19",
      "CreatedDate": "2026-06-20T12:51:18.652988-07:00",
      "LastModifiedUserFirstName": "sample string 20",
      "LastModifiedUseLastName": "sample string 21",
      "LastModifiedUser": "sample string 20 sample string 21",
      "LastModifiedDate": "2026-06-20T12:51:18.652988-07:00",
      "ValidFlag": true,
      "DateCreated": "2026-06-20T12:51:18.652988-07:00",
      "DateUpdated": "2026-06-20T12:51:18.652988-07:00",
      "UserIDCreated": 25,
      "UserIDUpdated": 26
    },
    {
      "Id": 1,
      "OrderPriceOnSiteId": 1,
      "OrderCategoryId": 2,
      "OrderCategoryTypeId": 3,
      "OrderCategorySubTypeId": 1,
      "Price": 1.0,
      "StartDate": "2026-06-20T12:51:18.652988-07:00",
      "EndDate": "2026-06-20T12:51:18.652988-07:00",
      "CategoryName": "sample string 4",
      "CategoryTypeName": "sample string 5",
      "CategorySubTypeName": "sample string 6",
      "Todaydate": "2026-06-20T12:51:18.652988-07:00",
      "Status": 7,
      "CPTCode": "sample string 8",
      "TangAndCompanyCode": "sample string 9",
      "EntityId": 1,
      "EntityType": 10,
      "CareOnSiteLocationId": 11,
      "AdjustmentType": 1,
      "Adjustment": 1.0,
      "FinalPrice": 1.0,
      "IsFutureRecord": true,
      "AdjustmentSet": "$1",
      "SubTypeExist": true,
      "TPAName": "sample string 14",
      "OrderCategorySubTypeLevel1Id": 1,
      "TPAId": 1,
      "ItemCode": "sample string 15",
      "ItemId": 1,
      "OrderCategorySubTypeLevel2Id": 1,
      "ItemName": "sample string 16",
      "Note": "sample string 17",
      "CreatedUserFirstName": "sample string 18",
      "CreatedUserLastName": "sample string 19",
      "CreatedUser": "sample string 18 sample string 19",
      "CreatedDate": "2026-06-20T12:51:18.652988-07:00",
      "LastModifiedUserFirstName": "sample string 20",
      "LastModifiedUseLastName": "sample string 21",
      "LastModifiedUser": "sample string 20 sample string 21",
      "LastModifiedDate": "2026-06-20T12:51:18.652988-07:00",
      "ValidFlag": true,
      "DateCreated": "2026-06-20T12:51:18.652988-07:00",
      "DateUpdated": "2026-06-20T12:51:18.652988-07:00",
      "UserIDCreated": 25,
      "UserIDUpdated": 26
    }
  ],
  "totalCount": 3
}